<template>
  <div>
    <slot name="collapsed" v-if="collapsed"/>
    <slot v-else />    
  </div>
</template>

<script>
export default {
  name: "ResponsiveComponent",
  data() {
    return {
      width: 0
    }
  },
  props: {
    breakPoint: {
      type: Number,
      default: 600
    }
  },
  methods: {
    onResize() {
      this.width = window.innerWidth;
    }
  },
  computed: {
    collapsed() {
      return this.width < this.breakPoint;
    }
  },
  mounted() {
    this.width = window.innerWidth;
    window.addEventListener('resize', this.onResize);
  },
  beforeDestroy() {
    window.removeEventListener('resize', this.onResize);
  }
}
</script>